LINUX.ORG.RU
ФорумAdmin

Gentoo portage - зафиксировать версию пакета


0

0

1. Как в Gentoo portage системе "зафиксировать" версию пакета, т.е. сказать системе, что будет использоваться ntp_4.1.2 и при emerge --update world не надо апгрейдить пакет на более последнюю версию?

2. Можно ли при emerge sync не обновлять некоторые портажи (мультимедию там)? В freebsd есть специальные exclude файлы, где указывается, какие порты не трогать, а здесь?
anonymous

Re: Gentoo portage - зафиксировать версию пакета

По поводу первого вопроса ничего сказать не могу.
А на счет вторго - можно.
# RSYNC_EXCLUDEFROM is a file that portage will pass to rsync when it updates
# the portage tree. Specific chucks of the tree may be excluded from
# consideration. This may cause dependency failures if you are not careful.
# The file format is one pattern per line, blanks and ';' or '#' lines are
# comments. See 'man rsync' for more details on the exclude-from format.

anonymous ()

Re: Re: Gentoo portage - зафиксировать версию пакета

yumi, в этом файле (вроде) хранится список установленных в системе портежей. Как это соотносится жесткой фиксацией пакета (что бы текущая версия пакета не апгрейдилась на более новую)?

anonymous ()

Re: Re: Re: Gentoo portage - зафиксировать версию пакета

а ты возьми и выброси оттуда свой пакет, пот он и не будет апгрейдится при этом будет находиться в системе (как вариант - не самый элегантный конечно)

yumi ★★ ()

Re: Re: Re: Re: Gentoo portage - зафиксировать версию пакета

да, совсем забыл, если прочитать man portage, то можно найти более элегантное решение - это не только для вопрошающего, но и для себя пишу :-)))
/etc/portage/

package.mask
List of DEPEND atoms to mask. Useful if specific versions of packages do not work
well for you. For example, you swear by the Nvidia drivers, but only versions earlier
than 1.0.4496. No problem!

yumi ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.